%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Wessels, L, Reinders, M.
%                     Detecting statistically significant 
%                     common insertion sites in retroviral
%                     insertional mutagenesis screens.
%                     PLoS Comput Biol, 2006, 2, e166
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_density(handles)
%Clear the density plot window
delete(setdiff(get(handles.density_axes,'children'),handles.label_dens));
%Use the hold on feature
set(handles.density_axes,'drawmode','fast','nextplot','add')
%Set the target axes
axes(handles.density_axes);

dens_struct = handles.dens_struct;

for i = 1:length(dens_struct)
   switch dens_struct(i).type
      case 'insertion'
         line([0 handles.cum_chrom_l(end)],dens_struct(i).T,...
            'color','r','linestyle',dens_struct(i).T_l);
         plot(dens_struct.x,dens_struct.y,'color',dens_struct(i).color);
   end
end
%Set the label (in first dens_struct layer)
set(handles.label_dens,'string',dens_struct.label);
%Show the chromosome boundaries
max_ax = get(handles.density_axes,'ylim');
line([handles.cum_chrom_l(:) handles.cum_chrom_l(:)]',repmat([0; max_ax(2)],...
   [1 length(handles.cum_chrom_l)]),'color','k');
