%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author            : Jeroen de Ridder
% Copyright         : J. de Ridder, J.deRidder@tudelft.nl
%                     Delft University of Technology
%                     P.O. Box 5031, 2600 GA Delft,
%          
%                     The Netherlands Cancer Institute
%                     Plesmanlaan 121, 1066 CX, Amsterdam,
%                     The Netherlands
% 
% Reference paper   : de Ridder, J, Kool, J, Uren, A,
%                     Wessels, L, Reinders, M.
%                     Detecting statistically significant 
%                     common insertion sites in retroviral
%                     insertional mutagenesis screens.
%                     PLoS Comput Biol, 2006, 2, e166
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_scale_space(handles)
%Clear the window
delete(get(handles.scale_space_axes,'children'));
colorm = prism(max(handles.scale_struct.clustlabel));
set(handles.scale_space_axes,'yscale','log','nextplot','add','drawmode','fast',...
    'ydir','reverse',...
    'ylim',handles.scale_struct.ylim,...
    'colororder',colorm(handles.scale_struct.clustlabel,:));
axes(handles.scale_space_axes);
%Get the current scale
cur_scale = handles.cur_kernel_width;
line([0 handles.cum_chrom_l(end)],[cur_scale cur_scale],'linewidth',3,'color',[0.75 0.95 0.75]);
%Plot the CISs in the scale space
h_scale = plot(handles.scale_struct.x,handles.scale_struct.y,'.-');
%text(x_stack(1,:),y_stack(1,:),num2str(clustlabel));
set(handles.label_scale_space,'string',handles.scale_struct.label);
